/* Table of constant values */

static int c__5 = 5;

int main(void)
{
    /* Initialized data */
    static double ar[25] /* was [5][5] */ = { 1.,2.,0.,0.,0.,32.,1.,0.,
                         0.,0.,0.,0.,1.,0.,0.,1.,1.,1.,1.,1.,0.,0.,0.,0.,1. };
    /* Local variables */
    extern int amb1p_c(int *, int *, double *, double *, int *,
                       int *, double *);
    static int i__, j;
    static double scale[5], ai[25] /* was [5][5] */;
    static int igh, low;

#define ai_ref(a_1,a_2) ai[(a_2)*5 + a_1 - 6]
#define ar_ref(a_1,a_2) ar[(a_2)*5 + a_1 - 6]

    for (i__ = 1; i__ <= 5; ++i__) {
        for (j = 1; j <= 5; ++j) {
/* L10: */
            ai_ref(i__, j) = ar_ref(i__, j);
        }
    }
    amb1p_c(&c__5, &c__5, ar, ai, &low, &igh, scale);

    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n  %20.12e %20.12e %20.12e \n",
                ar_ref(i__, 1), ar_ref(i__, 2), ar_ref(i__, 3));
         printf("\n  %20.12e %20.12e \n",
                ar_ref(i__, 4), ar_ref(i__, 5));
    }
    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n  %20.12e %20.12e %20.12e \n",
                ai_ref(i__, 1), ai_ref(i__, 2), ai_ref(i__, 3));
         printf("\n  %20.12e %20.12e \n",
                ai_ref(i__, 4), ai_ref(i__, 5));
    }
    printf("\n  %5i %5i \n", low, igh);
    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n  %20.12e \n", scale[i__-1]);
    }
    return 0;
} /* main */

#undef ar_ref
#undef ai_ref
